<template>
    <div>
        <Affichage :probleme="probleme" :isProfilProfesseur="true" />
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import Axios from '@/auth/axiosAuth';
import Affichage from './AffichageChoixMultiple.vue';
import ChoixMultiple from '@/classes/ChoixMultiple';

@Component({
    components: { Affichage }
})
export default class LireTesuji extends Vue {
    @Prop() id: string;

    private probleme: ChoixMultiple = null;

    beforeRouteEnter(to, from, next) {
        next(vm => {
            Axios.get('choixmultiple/' + to.params.id, response => {
                const choixMultiple = new ChoixMultiple();
                choixMultiple.mapperJson(response.data);
                vm.probleme = choixMultiple;
            });
        });
    }
}
</script>
